/*
@hehung
2023-2-8
转载请注明出处，版权由@hehung所有
email: 1398660197@qq.com
wechat: hehung95
*/

#ifndef APP_BULETOOTH_H_
#define APP_BULETOOTH_H_

#include "app_common.h"


typedef enum
{
    BT_CONNECTED = 0,
    BT_DISCONNECTED
} e_BtConnStatusType;



extern void Bt_Init(void);
extern void Bt_SendData(void);
extern void Bt_RecvData(void);
extern void Bt_TxNotification(void);
extern void Bt_RxNotification(uint32_t rx_data);
extern e_BtConnStatusType Bt_GetConnectStatus(void);
extern void Bt_RunningEntry(void);

#endif /* APP_BULETOOTH_H_ */
