/*
@hehung
2023-2-8
转载请注明出处，版权由@hehung所有
email: 1398660197@qq.com
wechat: hehung95
*/

#ifndef APP_ISL29035_H_
#define APP_ISL29035_H_

#include "app_common.h"

/* ISL29035 ADC resolution */
#define ISL29035_RES_16BIT        (65536U)
#define ISL29035_RES_12BIT        (4096U)
#define ISL29035_RES_8BIT         (256U)
#define ISL29035_RES_4BIT         (16U)

/* ISL29035 full scale lux range */
#define ISL29035_LUX_SCALE_1K     (1000U)
#define ISL29035_LUX_SCALE_4K     (4000U)
#define ISL29035_LUX_SCALE_16K    (16000U)
#define ISL29035_LUX_SCALE_64K    (64000U)


extern void Isl29035_Init(void);
extern void Isl29035_StartSampling(void);
extern uint32_t Isl29035_ReadData(void);

#endif /* APP_ISL29035_H_ */
