/*
@hehung
2023-2-8
转载请注明出处，版权由@hehung所有
email: 1398660197@qq.com
wechat: hehung95
*/

#ifndef APP_WIFI_H_
#define APP_WIFI_H_

#include "app_common.h"

typedef enum
{
    WIFI_OPT_INIT = 0,
    WIFI_OPT_SETTING,
    WIFI_OPT_CONNECT,
    WIFI_OPT_SNTP_SETTING,
    WIFI_OPT_CONNECT_TCP,
    WIFI_OPT_WORKING,
    WIFI_OPT_CONNECT_STATUS,
    WIFI_OPT_GET_TIME
} e_WifiOptType;

typedef enum
{
    WIFI_ONENET_CONNECTED = 0,
    WIFI_ONENET_DISCONNECTED
} e_WifiIotConnStaType;

typedef enum
{
    WIFI_CONNECTED = 0,
    WIFI_DISEONNECTED
} e_ApConnectStatusType;

extern void Wifi_Init(void);
extern void Wifi_RunningEntry(void);
extern e_ApConnectStatusType Wifi_GetApConnStatus(void);
extern e_WifiIotConnStaType Wifi_GetIotConnStatus(void);
extern void WIfi_CheckPreiodLoop(void);
extern void Da16200_TRDTC_response(char *resp_data, uint16_t resp_data_len);


#endif /* APP_WIFI_H_ */
