#include "display_thread.h"

#include "app_display.h"

/* display_thread entry function */
/* pvParameters contains TaskHandle_t */
void display_thread_entry(void * pvParameters)
{
    FSP_PARAMETER_NOT_USED(pvParameters);

    /* TODO: add your own code here */
    EventBits_t event_group_bits;
	EventBits_t waiting_eg_bits;
	
	// waiting for initialing
	waiting_eg_bits = EVENT_GROUP_SET_BIT(EVENT_GROUP_0_INIT);
	event_group_bits = xEventGroupWaitBits(event_group_0,     
											waiting_eg_bits,            
											pdFALSE,             // Do not clear event bits    
											pdTRUE,              // waiting all bits setting
											portMAX_DELAY);      // waiting forever 
    (void)event_group_bits;

    while(1)
    {
        Disp_RunningEntry();

        // vTaskDelay(pdMS_TO_TICKS(20));
    }
}
